%define name libimobiledevice
%define version 1.1.5
%define major 4
%define libname %mklibname imobiledevice %major
%define libnamedev %mklibname -d imobiledevice
%define _requires_exceptions pkgconfig(gnutls)

Name:           %{name}
Version:        %{version}
Release:        %mkrel 2
Summary:        Library for connecting to Apple iPhone and iPod touch
Group:          System/Libraries
License:        LGPLv2+
URL:            http://libimobiledevice.org/
Source0:        http://www.libimobiledevice.org/downloads/%{name}-%{version}.tar.xz
BuildRequires: libtasn1-devel
BuildRequires: libplist-devel
BuildRequires: usbmuxd-devel >= 0.1.4
BuildRequires: glib2-devel
BuildRequires: gnutls-devel
BuildRequires: libgcrypt-devel
BuildRequires: python-devel

%description
libimobiledevice is a library for connecting to Apple's iPhone or iPod touch devices

%package -n %libname
Group: System/Libraries
Summary: Library for connecting to Apple iPhone and iPod touch
Requires: %name >= %version

%description -n %libname
libimobiledevice is a library for connecting to Apple's iPhone or iPod touch devices

%package -n %libnamedev
Summary: Development package for libimobiledevice
Group: Development/Libraries
Provides: %name-devel = %version-%release
Requires: %libname = %{version}-%{release}

%description -n %libnamedev
Files for development with libimobiledevice.

%package -n python-imobiledevice
Summary: Python bindings for libimobiledevice
Group: Development/Python
BuildRequires: swig
BuildRequires: libplist++-devel
BuildRequires: python-devel

%description -n python-imobiledevice
Python bindings for libimobiledevice.

%prep
%setup -q

%build
%configure2_5x --disable-static
%make

%install
rm -rf %{buildroot}
%makeinstall_std

rm -f %{buildroot}%{_libdir}/*.la

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc AUTHORS COPYING.LESSER README
%{_bindir}/idevicedebugserverproxy
%{_bindir}/idevicediagnostics
%{_bindir}/ideviceprovision
%{_bindir}/idevice_id
%{_bindir}/ideviceinfo
%{_bindir}/idevicepair
%{_bindir}/idevicesyslog
%{_bindir}/idevicebackup
%{_bindir}/ideviceimagemounter
%{_bindir}/ideviceenterrecovery
%{_bindir}/idevicescreenshot
%{_bindir}/idevicebackup2
%{_bindir}/idevicedate
%{_mandir}/man1/idevice*.1.*

%files -n %libname
%defattr(-,root,root)
%_libdir/lib*.so.%{major}*

%files -n %libnamedev
%defattr(-,root,root,-)
%{_libdir}/pkgconfig/libimobiledevice-1.0.pc
%{_libdir}/libimobiledevice.so
%{_includedir}/libimobiledevice

%files -n python-imobiledevice
%defattr(-,root,root,-)
#%{python_sitearch}/imobiledevice/


%changelog
* Fri Apr 24 2014 bb <bb> 1.1.5-2pclos2014
- rebuild new openssl

* Tue May 14 2013 Texstar <texstar at gmail.com> 1.1.5-1pclos2013
- 1.1.5

* Sat Aug 25 2012 Neal <nealbrks0 at gmail dot com> 1.1.1-2pclos2012
- rebuild

* Tue Sep 27 2011 Texstar <texstar at gmail.com> 1.1.1-1pclos2011
- 1.1.1
